Get VPC Network
curl --request GET \
--url https://api.novita.ai/gpu-instance/openapi/v1/network \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>'import requests
url = "https://api.novita.ai/gpu-instance/openapi/v1/network"
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'}
};
fetch('https://api.novita.ai/gpu-instance/openapi/v1/network', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"network": [
{
"Id": "<string>",
"user": "<string>",
"name": "<string>",
"state": [
{
"state": "<string>",
"error": "<string>"
}
],
"segment": "<string>",
"clusterId": "<string>",
"Addresses": [
{
"Id": "<string>",
"Ip": "<string>"
}
],
"createTime": "<string>"
}
]
}Network
Get VPC Network
GET
/
gpu-instance
/
openapi
/
v1
/
network
Get VPC Network
Request Headers
Enum:
application/jsonBearer authentication format, for example: Bearer {{API Key}}.
Query Parameters
Cluster ID. String, length limit: 1-255 characters. Only one is supported.
Response
VPC network information.
Hide properties
Hide properties
VPC network ID.
User account ID.
VPC network name.
VPC network segment.
Cluster ID.
VPC network creation time. Format: Unix timestamp.
Last modified on May 27, 2025
Was this page helpful?
⌘I